<?php
	if (isset($_POST['emailRetrieveInfos']) && trim($_POST['emailRetrieveInfos']) != '')
	{
		include 'connexion.php';
		include 'escape_valeur.php';
		
		$requete = 'SELECT * FROM isoactif_t_usager_ecole,t_liste_ecoles_08 WHERE u_e_id_fk = ID AND u_courriel = \'' . escape_valeur($_POST['emailRetrieveInfos']) . '\'';
		if(!$resultat = $connexion->query($requete)){ die('There was an error running the query [' . $connexion->error . ']'); }
		
		// Si le courriel ne se retrouve pas dans la DB
		if ($resultat->num_rows == 0)
			header("Location: ../index.php?p=oubli&erreur=eMailNotFound");
		else
		{
			$courriel_sender = 'ne-pas-repondre@rseq.ca';
			$courriel_destinataire = $_POST['emailRetrieveInfos'];
			$title = utf8_decode('Récupération d\'informations - Formulaire ISO-Actif en ligne');
			
			$entete_courriel = "From: " . $courriel_sender . "\r\n";
			$entete_courriel .= "X-Sender: <" . $courriel_sender . ">\r\n";
			$entete_courriel .= "X-Mailer: " . $title . "\r\n";
			$entete_courriel .= "Content-Type: text/html; charset=\"ISO-8859-1\"\r\n";
			$entete_courriel .= 'Message-ID: <'. time() .rand(1,1000). '@'.$_SERVER['SERVER_NAME'].'>'. "\r\n";

			
			//////////////////////////////////////////
			/// LE MESSAGE ///////////////////////////
			//////////////////////////////////////////
			$html = '';
			$html .= '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">';
			$html .= '<html xmlns="http://www.w3.org/1999/xhtml">';
			$html .= '<head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /><title>R&eacute;cup&eacute;ration d\'informations - MEPSE 2009</title></head>';
			$html .= '<body>';
			
			$html .= 'Bonjour,';
			$html .= '<br />';
			$html .= '<br />';
			$html .= 'Voici votre nom d\'usager et mot de passe pour le formulaire d\'&eacute;valuation ISO-Actif en ligne.';
			$html .= '<br />';
			$html .= '<br />';
			
			if ($resultat->num_rows == 1)
			{
				$ligne = $resultat->fetch_assoc();
				
				$html .= '&Eacute;cole: <strong>' . $ligne['NOM'] . '</strong>';
				$html .= '<br />';
				$html .= 'Nom d\'usager: ' . $ligne['u_login'];
				$html .= '<br />';
				$html .= 'Mot de passe: ' . $ligne['u_pwd'];
				$html .= '<br />';
				$html .= '<br />';
			}
			else
			{
				while ($ligne = $resultat->fetch_assoc())
				{
					$html .= '&Eacute;cole: <strong>' . $ligne['NOM'] . '</strong>';
					$html .= '<br />';
					$html .= 'Nom d\'usager: ' . $ligne['u_login'];
					$html .= '<br />';
					$html .= 'Mot de passe: ' . $ligne['u_pwd'];
					$html .= '<br />';
					$html .= '<br />';
				}
			}	
			
			
			$html .= 'Merci';
			$html .= '<br />';
			$html .= '<br />';
			$html .= 'L\'&eacute;quipe ISO-Actif';
			
			$html .= '</body>';
			$html .= '</html>';
			//////////////////////////////////////////
			/// FIN DU MESSAGE ///////////////////////
			//////////////////////////////////////////
			if (!(mail($courriel_destinataire,$title,$html, $entete_courriel)))
				header("Location: ../index.php?p=oubli&erreur=mailNotSent");
			else
				header("Location: ../index.php?mailSent=oui");
		}
		
		$connexion->close();
	}
	else
	{
		header("Location: ../index.php?p=oubli&erreur=noEmail");
	}
?>